#!/bin/bash

# shellcheck disable=SC1091

set -o errexit
set -o nounset
set -o pipefail
#set -o xtrace # Uncomment this line for debugging purposes

# Load Redis environment variables
. /opt/scripts/redis-cluster-env.sh

# Load libraries
#. /opt/scripts/libbitnami.sh
. /opt/scripts/librediscluster.sh

#print_welcome_page

if [[ "$*" = *"/run.sh"* ]]; then
    info "** Starting Redis setup **"
    /opt/scripts/redis-cluster/setup.sh
    info "** Redis setup finished! **"
fi

echo ""
exec "$@"
